/* 
    kwintv, Video4Linux compatible KDE application

    Copyright (C) 1998 Moritz Wenk (wenk@mathematik.uni-kl.de)
*/
#ifndef dsp_h
#define dsp_h

//#define WAVE_FORMAT_PCM                 (0x0001)
//#define WAVE_FORMAT_ALAW                (0x0006)
//#define WAVE_FORMAT_MULAW               (0x0007)


class dsp
{
public:
  dsp( const char * dev = "/dev/dsp" );
  ~dsp();

    int open (int bits, int channels, int rate);
  inline int getBufSize() { return blocksize; }
  char * readBuf();
  int getSize();
  int close();

private:
  dsp( const dsp & );
  
  int fd, blocksize;
  char *buffer;
};

#endif
